# SynchronizeStatusAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SynchronizeStatusAbAttr

If another Pokemon burns, paralyzes, poisons, or badly poisons this Pokemon, that Pokemon receives the same non-volatile status condition as part of this ability attribute. For Synchronize ability.

#### Hierarchy (View Summary)

- PostSetStatusAbAttr
  - SynchronizeStatusAbAttr

- Defined in src/data/ability.ts:2077

##### Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostSetStatus
canApply
canApplyPostSetStatus
getCondition
getTriggerMessage

## Constructors

### constructor

- new SynchronizeStatusAbAttr(showAbility?: boolean): SynchronizeStatusAbAttr

  #### Parameters

  - showAbility: boolean = true

  #### Returns SynchronizeStatusAbAttr

  Inherited from PostSetStatusAbAttr.constructor

  - Defined in src/data/ability.ts:187

## Properties

### showAbility

showAbility: boolean

Inherited from PostSetStatusAbAttr.showAbility

- Defined in src/data/ability.ts:184

## Methods

### addCondition

- addCondition(condition: AbAttrCondition): AbAttr

  #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostSetStatusAbAttr.addCondition

  - Defined in src/data/ability.ts:209

### apply

- apply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  cancelled: null | BooleanHolder ,
  args: any[],
  ): void

  Applies ability effects without checking conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - cancelled: null | BooleanHolder
  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns void

  #### See

  `canApply`

  Inherited from PostSetStatusAbAttr.apply

  - Defined in src/data/ability.ts:199

### applyPostSetStatus

- applyPostSetStatus(
  pokemon: default ,
  sourcePokemon?: null | default ,
  passive: boolean,
  effect: StatusEffect ,
  simulated: boolean,
  args: any[],
  ): void

  If the `StatusEffect` that was set is Burn, Paralysis, Poison, or Toxic, and the status was set by a source Pokemon, set the source Pokemon's status to the same `StatusEffect`.

  #### Parameters

  - pokemon: default

    `Pokemon` that status condition was set on.

  - sourcePokemon: null | default = null

    `Pokemon` that that set the status condition. Is null if status was not set by a Pokemon.

  - passive: boolean

    Whether this ability is a passive.

  - effect: StatusEffect

    `StatusEffect` that was set.

  - simulated: boolean
  - args: any[]

    Set of unique arguments needed by this attribute.

  #### Returns void

  Overrides PostSetStatusAbAttr.applyPostSetStatus

  - Defined in src/data/ability.ts:2100

### canApply

- canApply(
  pokemon: default ,
  passive: boolean,
  simulated: boolean,
  args: any[],
  ): boolean

  Returns a boolean describing whether the ability can be applied under current conditions

  #### Parameters

  - pokemon: default

    The pokemon to apply this ability to

  - passive: boolean

    Whether or not the ability is a passive

  - simulated: boolean

    Whether the call is simulated

  - args: any[]

    Extra args passed to the function. Handled by child classes.

  #### Returns boolean

  `true` if the ability can be applied, `false` otherwise

  #### See

  `apply`

  Inherited from PostSetStatusAbAttr.canApply

  - Defined in src/data/ability.ts:223

### canApplyPostSetStatus

- canApplyPostSetStatus(
  pokemon: default ,
  sourcePokemon: undefined | null | default ,
  passive: boolean,
  effect: StatusEffect ,
  simulated: boolean,
  args: any[],
  ): boolean

  #### Parameters

  - pokemon: default
  - sourcePokemon: undefined | null | default
  - passive: boolean
  - effect: StatusEffect
  - simulated: boolean
  - args: any[]

  #### Returns boolean

  Overrides PostSetStatusAbAttr.canApplyPostSetStatus

  - Defined in src/data/ability.ts:2078

### getCondition

- getCondition(): null | AbAttrCondition

  #### Returns null | AbAttrCondition

  Inherited from PostSetStatusAbAttr.getCondition

  - Defined in src/data/ability.ts:205

### getTriggerMessage

- getTriggerMessage(
  _pokemon: default ,
  _abilityName: string,
  ..._args: any[],
  ): null | string

  #### Parameters

  - _pokemon: default
  - _abilityName: string
  - ..._args: any[]

  #### Returns null | string

  Inherited from PostSetStatusAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:201